## GucharmapScriptCodepointList GucharmapScriptCodepointList — |

## Functions

GucharmapCodepointList * | gucharmap_script_codepoint_list_new ()
gboolean | gucharmap_script_codepoint_list_set_script ()
gboolean | gucharmap_script_codepoint_list_set_scripts ()
gboolean | gucharmap_script_codepoint_list_append_script ()

## Types and Values

| GucharmapScriptCodepointListPrivate
struct | GucharmapScriptCodepointList

## Object Hierarchy

        GObject
        ╰── GucharmapCodepointList
            ╰── GucharmapScriptCodepointList

## Description

## Functions

### gucharmap_script_codepoint_list_new ()

    GucharmapCodepointList *
    gucharmap_script_codepoint_list_new (void);

Creates a new script codepoint list. The default script is Latin.

#### Returns

the newly-created GucharmapCodepointList. Use `g_object_unref()` to free the result.

### gucharmap_script_codepoint_list_set_script ()

    gboolean
    gucharmap_script_codepoint_list_set_script
                                   (GucharmapScriptCodepointList *list,
                                    const gchar *script);

Sets the script for the codepoint list.

#### Parameters

list | a GucharmapScriptCodepointList |
script | the script name |

#### Returns

`TRUE` on success, `FALSE` if there is no such script, in which case the script is not changed.

### gucharmap_script_codepoint_list_set_scripts ()

    gboolean
    gucharmap_script_codepoint_list_set_scripts
                                   (GucharmapScriptCodepointList *list,
                                    const gchar **scripts);

Sets multiple scripts for the codepoint list. Codepoints are sorted according to their order in `scripts` .

#### Parameters

list | a GucharmapScriptCodepointList |
scripts | NULL-terminated array of script names |

#### Returns

`TRUE` on success, `FALSE` if any of the scripts don’t exist, in which case the script is not changed.

### gucharmap_script_codepoint_list_append_script ()

    gboolean
    gucharmap_script_codepoint_list_append_script
                                   (GucharmapScriptCodepointList *list,
                                    const gchar *script);

Appends the characters in `script` to the codepoint list.

#### Parameters

list | a GucharmapScriptCodepointList |
script | the script name |

#### Returns

`TRUE` on success, `FALSE` if there is no such script, in which case the codepoint list is not changed.

## Types and Values

### GucharmapScriptCodepointListPrivate

    typedef struct _GucharmapScriptCodepointListPrivate GucharmapScriptCodepointListPrivate;

### struct GucharmapScriptCodepointList

    struct GucharmapScriptCodepointList;